This is an automated email from the ASF dual-hosted git repository.

leandron pushed a commit to branch main
in repository https://gitbox.apache.org/repos/asf/tvm.git


The following commit(s) were added to refs/heads/main by this push:
     new 2fc7d16  Add AArch64 frontend dependencies to Dockerfile (#10676)
2fc7d16 is described below

commit 2fc7d16e99cf1d1df148e8db03296409916bd134
Author: Christopher Sidebottom <[email protected]>
AuthorDate: Sat Mar 19 13:16:35 2022 +0000

    Add AArch64 frontend dependencies to Dockerfile (#10676)
    
    Preparing to run more of the frontend tests on AArch64 by installing all 
the dependencies in the container
---
 docker/Dockerfile.ci_arm                           | 16 ++++++++++++
 .../install/ubuntu_install_tensorflow_aarch64.sh   | 30 ++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/docker/Dockerfile.ci_arm b/docker/Dockerfile.ci_arm
index 73ff0ae..42accfa 100644
--- a/docker/Dockerfile.ci_arm
+++ b/docker/Dockerfile.ci_arm
@@ -52,6 +52,22 @@ RUN bash /install/ubuntu_install_cmake_source.sh
 COPY install/ubuntu_install_python_package.sh 
/install/ubuntu_install_python_package.sh
 RUN bash /install/ubuntu_install_python_package.sh
 
+# TensorFlow deps
+COPY install/ubuntu_install_tensorflow_aarch64.sh 
/install/ubuntu_install_tensorflow_aarch64.sh
+RUN bash /install/ubuntu_install_tensorflow_aarch64.sh
+
+# TFLite deps
+COPY install/ubuntu_install_tflite.sh /install/ubuntu_install_tflite.sh
+RUN bash /install/ubuntu_install_tflite.sh
+
+# Caffe deps
+COPY install/ubuntu_install_boost.sh /install/ubuntu_install_boost.sh
+RUN bash /install/ubuntu_install_boost.sh
+
+# Caffe
+COPY install/ubuntu_install_caffe.sh /install/ubuntu_install_caffe.sh
+RUN bash /install/ubuntu_install_caffe.sh
+
 # AutoTVM deps
 COPY install/ubuntu_install_redis.sh /install/ubuntu_install_redis.sh
 RUN bash /install/ubuntu_install_redis.sh
diff --git a/docker/install/ubuntu_install_tensorflow_aarch64.sh 
b/docker/install/ubuntu_install_tensorflow_aarch64.sh
new file mode 100755
index 0000000..6acf8b7
--- /dev/null
+++ b/docker/install/ubuntu_install_tensorflow_aarch64.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+# Build dependencies
+apt-get install -y --no-install-recommends libhdf5-dev
+
+# We're only using the TensorFlow wheel snapshot here as the
+# h5py wheel tries to use the wrong .so file
+pip3 install \
+    "h5py==3.1.0" \
+    keras==2.6 \
+    tensorflow-aarch64==2.6.2 \
+    -f https://snapshots.linaro.org/ldcg/python-cache/tensorflow-aarch64/

Reply via email to